package com.ekexiu.project.job;

import com.ekexiu.project.platform.system.service.DictService;
import com.ekexiu.project.platform.views.handler.LogHandler;
import com.ekexiu.project.platform.views.service.Main;
import org.jfw.util.bean.AfterBeanFactory;
import org.jfw.util.bean.BeanFactory;
import org.jfw.util.context.JfwAppContext;
import org.jfw.util.jdbc.JdbcUtil;

import javax.sql.DataSource;
import java.sql.Connection;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;


public class TaskJob implements AfterBeanFactory {
	private ScheduledExecutorService service;
	private DataSource dataSource;

	@Override
	public void handle(BeanFactory bf) throws Throwable {
		this.service = JfwAppContext.getScheduledExecutorService();
		this.dataSource =(DataSource) bf.getBean("dataSource");
		Connection con  = this.dataSource.getConnection();
		try{
		
		DictService ds = (DictService) bf.getBean("com_ekexiu_project_platform_system_service_DictService");
		ds.load(con);
		
		}finally{
			JdbcUtil.close(con);
		}

		Main main = (Main) bf.getBean("com_ekexiu_project_platform_views_service_Main");
		for (LogHandler lh : main.getHandlers()) {
			service.scheduleAtFixedRate(lh, lh.getInitialDelay(), lh.getPeriod(), TimeUnit.MILLISECONDS);
			JfwAppContext.addDestoryed(lh);
		}
	}


}
