package com.ekexiu.project.platform.feedback;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.FixLenStringHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2019/1/23.
 */
@Table(descp = "意见反馈")
public class Feedback{
    private String id;
    private String creator;
    private String createTime;
    private String target;
    private String cnt;
    private int type;

    @Column(descp = "意见ID", value = DE.id_32)
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Column(descp = "用户ID",value = DE.id_32)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Column(descp="创建时间（YYYYMMDDHH24MISS）不可修改", handlerClass = FixLenStringHandler.class, dbType = "CHAR(14)", fixSqlValueWithInsert = "TO_CHAR(NOW(),'YYYYMMDDHH24MISS')", insertable = true, nullable = false, queryable = true, renewable = false)
    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(descp = "目标ID",value = DE.id_32)
    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    @Column(descp = "意见内容",value = DE.text_de)
    public String getCnt() {
        return cnt;
    }

    public void setCnt(String cnt) {
        this.cnt = cnt;
    }

    @Column(descp = "意见类型 1:需求",value = DE.int_de)
    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
